Debian Bug report logs - #619225
file: new version available with security-relevant fixes

version graph

Package: file; Maintainer for file is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for file is src:file.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 22 Mar 2011 05:24:02 UTC

Severity: important

Tags: security

Found in version file/5.04-5

Fixed in version file/5.08-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#619225; Package file. (Tue, 22 Mar 2011 05:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 22 Mar 2011 05:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: file: new version available with security-relevant fixes
Date: Mon, 21 Mar 2011 23:21:09 -0600
Package: file
Version: 5.04-5
Tags: security
Severity: important

Hi,

file 5.05 was released a couple of months ago and appears to contain some 
security fixes. Please upgrade the package.

I've contacted upstream via its mailing list to find out more about the 
security issues to determine whether we need to backport fixes to old/stable.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Thu, 08 Sep 2011 16:51:07 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Thu, 08 Sep 2011 16:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 619225-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 619225-close@bugs.debian.org
Subject: Bug#619225: fixed in file 5.08-1
Date: Thu, 08 Sep 2011 16:47:13 +0000
Source: file
Source-Version: 5.08-1

We believe that the bug you reported is fixed in the latest version of
file, which is due to be installed in the Debian FTP archive:

file_5.08-1.debian.tar.gz
  to main/f/file/file_5.08-1.debian.tar.gz
file_5.08-1.dsc
  to main/f/file/file_5.08-1.dsc
file_5.08-1_i386.deb
  to main/f/file/file_5.08-1_i386.deb
file_5.08.orig.tar.gz
  to main/f/file/file_5.08.orig.tar.gz
libmagic-dev_5.08-1_i386.deb
  to main/f/file/libmagic-dev_5.08-1_i386.deb
libmagic1_5.08-1_i386.deb
  to main/f/file/libmagic1_5.08-1_i386.deb
python-magic-dbg_5.08-1_i386.deb
  to main/f/file/python-magic-dbg_5.08-1_i386.deb
python-magic_5.08-1_i386.deb
  to main/f/file/python-magic_5.08-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619225@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated file package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 Sep 2011 18:24:15 +0200
Source: file
Binary: file libmagic1 libmagic-dev python-magic python-magic-dbg
Architecture: source i386
Version: 5.08-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 file       - Determines file type using "magic" numbers
 libmagic-dev - File type determination library using "magic" numbers (developmen
 libmagic1  - File type determination library using "magic" numbers
 python-magic - File type determination library using "magic" numbers (Python bin
 python-magic-dbg - File type determination library using "magic" numbers (Python bin
Closes: 612742 619225 624585 626340 637149
Changes: 
 file (5.08-1) unstable; urgency=low
 .
   [ Judit Foglszinger ]
   * Merging upstream version 5.08 (Closes: #612742, #619225, #626340).
 .
   [ Daniel Baumann ]
   * Adding patch from Sylvain Rabot <sylvain@abstraction.fr> to add
     detection for shell scripts using /usr/bin/env in their shebang.
   * Removing magic-update-awk.patch, went upstream.
   * Removing magic-update-bash.patch, went upstream.
   * Removing magic-update-reiserfs.patch, went upstream.
   * Removing magic-update-tcsh.patch, went upstream.
   * Removing magic-update-zip.patch, went upstream.
   * Removing magic-update-real.patch, went upstream.
   * Removing magic-update-os2.patch, went upstream.
   * Removing magic-update-digifax.patch, went upstream.
   * Removing magic-update-mono.patch, went upstream.
   * Removing magic-update-pfm.patch, went upstream.
   * Removing magic-update-ocaml.patch, went upstream.
   * Removing magic-update-linuxswap.patch, went upstream.
   * Removing magic-update-linuxext.patch, went upstream.
   * Removing magic-update-llvm.patch, went upstream.
   * Removing magic-update-gimp.patch, went upstream.
   * Removing magic-update-wav.patch, went upstream.
   * Removing magic-update-z-machine.patch, went upstream.
   * Removing magic-update-xwd.patch, went upstream.
   * Removing magic-update-utf.patch, went upstream.
   * Removing magic-update-spectrum.patch, went upstream.
   * Removing magic-update-tgif.patch, went upstream.
   * Removing magic-update-truetype.patch, went upstream.
   * Removing magic-update-7zip.patch, went upstream.
   * Removing magic-update-lzma.patch, went upstream.
   * Removing magic-update-xz.patch, went upstream.
   * Removing magic-update-qemu.patch, went upstream.
   * Removing magic-update-psf2.patch, went upstream.
   * Removing magic-update-dyatic.patch, went upstream.
   * Removing magic-update-bio-rad.patch, went upstream.
   * Removing magic-update-icon.patch, went upstream.
   * Removing magic-add-par2.patch, went upstream.
   * Removing magic-add-pe5.patch, went upstream.
   * Removing magic-add-pdmenu.patch, went upstream.
   * Removing magic-add-powertab.patch, went upstream.
   * Removing magic-add-scummvm.patch, went upstream.
   * Removing magic-add-sgf.patch, went upstream.
   * Removing magic-add-sisu.patch, went upstream.
   * Removing magic-add-snes.patch, went upstream.
   * Removing magic-add-ssh.patch, went upstream.
   * Removing magic-add-ssl.patch, went upstream.
   * Removing magic-add-subversion.patch, went upstream.
   * Removing magic-add-supercollider.patch, went upstream.
   * Removing magic-add-xen.patch, went upstream.
   * Removing magic-add-xcursor.patch, went upstream.
   * Removing magic-add-freemind.patch, went upstream.
 .
   [ Judit Foglszinger ]
   * Removing magic-add-qdbm.patch, went upstream.
   * Removing magic-add-tokyocabinet.patch, went upstream.
   * Removing magic-add-cromfs.patch, went upstream.
   * Removing magic-add-scribus.patch, went upstream.
   * Removing magic-add-selinux.patch, went upstream.
   * Removing magic-add-bzr.patch, went upstream.
   * Removing magic-add-git.patch, went upstream.
   * Removing magic-add-nut.patch, went upstream.
   * Removing magic-add-blcr.patch, went upstream.
   * Removing magic-add-lyx.patch, went upstream.
   * Removing magic-add-bacula.patch, went upstream.
   * Removing magic-add-olympus.patch, went upstream.
   * Removing magic-add-mdmp.patch, went upstream.
   * Removing magic-add-gstreamer.patch, went upstream.
   * Removing magic-add-xfsdump.patch, went upstream.
   * Removing magic-add-delta-iso.patch, went upstream.
   * Removing magic-add-delta-rpm.patch, went upstream.
   * Removing magic-add-avchd.patch, went upstream.
   * Removing magic-add-chiasmus.patch, went upstream.
   * Removing magic-add-hdr.patch, went upstream.
   * Removing magic-add-foveon-x3f.patch, went upstream.
   * Removing magic-add-paint-net.patch, went upstream.
   * Removing magic-add-dact.patch, went upstream.
   * Removing magic-add-datafork.patch, went upstream.
   * Removing magic-add-pdb.patch, went upstream.
   * Removing magic-add-gdsii.patch, went upstream.
   * Removing magic-add-canon.patch, went upstream.
   * Removing magic-add-jfs.patch, went upstream.
   * Removing magic-add-git-index.patch, went upstream.
   * Removing magic-add-erlang.patch, went upstream.
   * Removing magic-add-epub.patch, went upstream.
   * Removing magic-add-shebang.patch, went upstream.
   * Removing manpages-typo.patch, went upstream.
   * Removing manpages-typo2.patch, went upstream.
   * Removing manpages-typo3.patch, went upstream.
   * Removing file-coredump.patch, went upstream.
   * Updating file-localmagic.patch to apply cleanly after upstream
     changes.
   * Updating doc-manpages.patch to apply cleanly after upstream changes.
   * Removing conglomeration.patch, went upstream.
   * Removing file-python.patch, not needed anymore.
   * Removing unused lintian override.
   * Adding patch from Adam Buchbinder <adam.buchbinder@gmail.com> to add
     new magic for BBeB ebooks (Closes: #624585).
   * Refusing to copy patchlevel.h in rules due to it's upstream removal.
   * Modifiing file-make.patch to apply after upstream changes.
   * Updating standards version to 3.9.2.
   * Adding patch from Julian Taylor <jtaylor.debian@googlemail.com> to
     switch from dh_pysupport to dh_python2 (Closes: #637149).
 .
   [ Daniel Baumann ]
   * Updating to debhelper version 8.
   * Updating maintainer and uploaders fields.
   * Removing vcs fields.
   * Removing references to my old email address.
   * Switching to source format version 3.0 (quilt).
   * Also removing superfluous pycompat file.
   * Compacting copyright file.
   * Updating years in copyright file.
   * Renumbering remaining patches.
Checksums-Sha1: 
 805c9bdbd77db42ab678dfc4ab9d4bc15ca9d90e 1220 file_5.08-1.dsc
 8bc5aa450d98968f7debe695dc6279fd5bf955b2 605337 file_5.08.orig.tar.gz
 881a975e906b3e69c44ef9aa2a511a34cdb7f2d6 27184 file_5.08-1.debian.tar.gz
 2e448ebea7e7fe8a1ff6cc31ec0ffa7ffc740fc8 51294 file_5.08-1_i386.deb
 1bb25f96fc60b18da793c336c266cd069c70cb55 247960 libmagic1_5.08-1_i386.deb
 b7f9ae7d0df897f902e77f6392e177faf090b756 102232 libmagic-dev_5.08-1_i386.deb
 98413571e6f84ee302059e1e8c9247bdfc8c5516 37536 python-magic_5.08-1_i386.deb
 0287e0f331078b9d3935053411b11393848f815e 886 python-magic-dbg_5.08-1_i386.deb
Checksums-Sha256: 
 91531adf041c46fdfa590828ee8e486a569309a7fad6019471fd235fe635a0e0 1220 file_5.08-1.dsc
 dd2f18f5f344fe89938fcaf5959808fb98e4ff20c2e30f24f234e27946e3a555 605337 file_5.08.orig.tar.gz
 1d634ba389d8c256f92d04c32f440b2aa45d02e7c74ea2f747c136a9d3a31f1e 27184 file_5.08-1.debian.tar.gz
 25adc1ce26e219bfa22d590fc2cadeffc8544ee860fef8bf790e83c04918ee16 51294 file_5.08-1_i386.deb
 3a29f0f62f7e9d9f5c668182441c847ad728ad59acaeb1b174b3edbd0c5152fb 247960 libmagic1_5.08-1_i386.deb
 84ac5b257155862fae75eef889642444c9053bd4cf2c71c40923d4a57f28c585 102232 libmagic-dev_5.08-1_i386.deb
 203df65681443ccd0425ff94ad7e2c444536b1721ce77488d6a27bdf3778bb0f 37536 python-magic_5.08-1_i386.deb
 51a51a81b8638dadb771c1d11f69821c8aeee05b90c5fc41b4e293bd66a7be03 886 python-magic-dbg_5.08-1_i386.deb
Files: 
 675e16b72118317a9a7c79ad4dc73a91 1220 utils standard file_5.08-1.dsc
 6a2a263c20278f01fe3bb0f720b27d4e 605337 utils standard file_5.08.orig.tar.gz
 3ee944f6b0d59268f98aea27e46126fe 27184 utils standard file_5.08-1.debian.tar.gz
 6fc8d622446dd09175e04d3a1926729d 51294 utils standard file_5.08-1_i386.deb
 39c223125588ade9479ff502fb7ca066 247960 libs standard libmagic1_5.08-1_i386.deb
 000ef2e91f9eefa1d1eb8411d35799b6 102232 libdevel optional libmagic-dev_5.08-1_i386.deb
 beb23e40cc2de6531faac51b0c901f95 37536 python extra python-magic_5.08-1_i386.deb
 5db6d7d962bdedb16bff7661a4b7b4d9 886 debug extra python-magic-dbg_5.08-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5o7jMACgkQ+C5cwEsrK56etgCeOjksXmZHDW/8e4jWKiNgAIsE
JZgAoN7IS2Gosn0l6lBcA61BFeJy65DV
=ojwJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Oct 2011 07:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:46:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.